Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.109. setmovetable_int(p_new_set_id integer, p_tab_id integer)

Function Properties

Language: PLPGSQL

Return Type: integer

    begin
    	-- ----
    	-- Grab the central configuration lock
    	-- ----
    	lock table sl_config_lock;

    	-- ----
    	-- Move the table to the new set
    	-- ----
    	update sl_table
    			set tab_set = p_new_set_id
    			where tab_id = p_tab_id;

    	return p_tab_id;
    end;

Prev | Home | Next
setmovetable(p_new_set_id integer, p_tab_id integer) | Up | slon_node_health_check()